#!/bin/bash
set -e

# Initialize migrations folder if needed
if [ ! -d migrations ]; then
    echo "[✔] Initializing migrations directory"
    flask db init
fi

echo "[✔] Running migrations"
flask db migrate -m "auto"
flask db upgrade

# Seed database if enabled
if [ "$ENABLE_DB_SEEDING" = "true" ]; then
    echo "[🌱] Seeding Data"
    flask preload-data
fi

# Start the main process
exec "$@"
